﻿/**Begin D:\PDM_UPGRADE\PDM1\QCPP_table.sql **/
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCPP_INSPAPPLYPROJ') 
 CREATE TABLE T_QCPP_INSPAPPLYPROJ (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCHECKITEMSID BIGINT DEFAULT 0 NOT NULL,
FCHECKCONTENT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCHECKMETHODID BIGINT DEFAULT 0 NOT NULL,
FCHECKFREQID BIGINT DEFAULT 0 NOT NULL,
FCHECKBASISID BIGINT DEFAULT 0 NOT NULL,
FKEYQUALITY NVARCHAR(5) DEFAULT ' ' NOT NULL,
FCHECKINSTRUCTID BIGINT DEFAULT 0 NOT NULL,
FNORMTYPE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FMATCHFLAGID BIGINT DEFAULT 0 NOT NULL,
FSPECVALUE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOPVALUE DECIMAL(23,10),
FDOWNVALUE DECIMAL(23,10),
FPROJSAMPID BIGINT DEFAULT 0 NOT NULL,
FISJOININSPECT CHAR(1) DEFAULT '0' NOT NULL,
FJOINDEPTID BIGINT DEFAULT 0 NOT NULL,
FJOININSPECTORID BIGINT DEFAULT 0 NOT NULL,
FJOININSPECTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOININSPBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOININSPECTSTATUS NVARCHAR(5) DEFAULT ' ' NOT NULL
);

--生产联合检验单
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCPP_JOININSPECT') 
 CREATE TABLE T_QCPP_JOININSPECT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL,
FBIZTYPEID BIGINT DEFAULT 0 NOT NULL,
FBILLCRETYPE NVARCHAR(5) DEFAULT ' ' NOT NULL
);


--生产联合检验单_物料信息
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCPP_JOININSPENTRY') 
 CREATE TABLE T_QCPP_JOININSPENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALCFGID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FMATERIALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONFIGUREDCODEID BIGINT DEFAULT 0 NOT NULL,
FTRACKNUMBERID BIGINT DEFAULT 0 NOT NULL,
FINSPECTIONSTDID BIGINT DEFAULT 0 NOT NULL,
FLOTNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FSUPPLYORGID BIGINT DEFAULT 0 NOT NULL,
FSUPPLYDEPID BIGINT DEFAULT 0 NOT NULL,
FPROPOSERID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTITY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FSRCSYSTEM NVARCHAR(10) DEFAULT ' ' NOT NULL,
FSRCBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(512) DEFAULT ' ' NOT NULL,
FMAINBILLENTITY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FMAINBILLNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FFINISHTIME DATETIME,
FMAINBILLID BIGINT DEFAULT 0 NOT NULL,
FMAINBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FMAINBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FRINSQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQROUTEID BIGINT DEFAULT 0 NOT NULL,
FPROCESSSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERATIONNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPROPERATIONID BIGINT DEFAULT 0 NOT NULL
);

-- 增加生产车间、工作重心、工序说明字段
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCPP_JOININSPENTRY' AND KSQL_COL_NAME ='FPRODUCTIONWORKSHOPID')
ALTER TABLE T_QCPP_JOININSPENTRY ADD (FPRODUCTIONWORKSHOPID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCPP_JOININSPENTRY' AND KSQL_COL_NAME ='FOPRWORKCENTER')
ALTER TABLE T_QCPP_JOININSPENTRY ADD (FOPRWORKCENTER BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCPP_JOININSPENTRY' AND KSQL_COL_NAME ='FOPERATIONDESC')
ALTER TABLE T_QCPP_JOININSPENTRY ADD (FOPERATIONDESC NVARCHAR(50) DEFAULT ' ' NOT NULL );

--生产联合检验单_检验结果_项目
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCPP_JOININSPPROJ') 
 CREATE TABLE T_QCPP_JOININSPPROJ (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINSPECTIONITEMID BIGINT DEFAULT 0 NOT NULL,
FINSPECTIONCONTENT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINSPECTMETHODID BIGINT DEFAULT 0 NOT NULL,
FINSPECTFREQID BIGINT DEFAULT 0 NOT NULL,
FINSPECTBASISID BIGINT DEFAULT 0 NOT NULL,
FKEYQUALITY NVARCHAR(5) DEFAULT ' ' NOT NULL,
FINSPECTINSTRUCTID BIGINT DEFAULT 0 NOT NULL,
FNORMTYPE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FINSPECUNITID BIGINT DEFAULT 0 NOT NULL,
FCOMPARISONID BIGINT DEFAULT 0 NOT NULL,
FSPECVALUE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOPVALUE DECIMAL(23,10),
FDOWNVALUE DECIMAL(23,10),
FUQUUID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJSAMPID BIGINT DEFAULT 0 NOT NULL,
FPROJSAMPQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROJACCEPTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROJQUALIFIYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROJUNQUALIFIYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROJCKRESULT NVARCHAR(5) DEFAULT ' ' NOT NULL,
FPROJCKVAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCHOOSESAMPQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXAMPLES NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEXAMPLES_TAG NCLOB,
FINSPECCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL,
FJOINDEPTID BIGINT DEFAULT 0 NOT NULL,
FJOININSPECTORID BIGINT DEFAULT 0 NOT NULL,
FISJOININSPECT CHAR(1) DEFAULT '0' NOT NULL,
FSRCITEMENTITY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSRCITEMENTRYID BIGINT DEFAULT 0 NOT NULL
);

--生产联合检验单_样本检验结果_项目样本关系
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCPP_JOININSPRELA_N') 
 CREATE TABLE T_QCPP_JOININSPRELA_N (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROJUUID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXMAPLEID BIGINT DEFAULT 0 NOT NULL,
FSAMP_SEQ INT DEFAULT 0 NOT NULL,
FVALDETER NVARCHAR(5) DEFAULT ' ' NOT NULL,
FVALRATSTR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FJUDGE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL
);

--生产联合检验单_检验结果_样本
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCPP_JOININSPSAMP_N') 
 CREATE TABLE T_QCPP_JOININSPSAMP_N (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSAMPLENUMID BIGINT DEFAULT 0 NOT NULL,
FSAMPLENUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSAMPLERES NVARCHAR(5) DEFAULT ' ' NOT NULL,
FSAMPCKVAL DECIMAL(23,10) DEFAULT 0 NOT NULL
);


/**End D:\PDM_UPGRADE\PDM1\QCPP_table.sql **/
